Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 65244 - dev-libs/libebml-0.7.1: add doxygen documentation and doc USE flag
Summary: dev-libs/libebml-0.7.1: add doxygen documentation and doc USE flag
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All All
: High normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-09-24 14:36 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2005-03-21 01:30 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
libebml-0.7.1.ebuild (libebml-0.7.1.ebuild,1.23 KB, text/plain)
2004-09-24 14:37 UTC, Diego Elio Pettenò (RETIRED)
Details
0.7.1-doxygen (0.7.1-doxygen,46.18 KB, text/plain)
2004-09-24 14:39 UTC, Diego Elio Pettenò (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2004-09-24 14:36:20 UTC
The attached ebuild (and the doxygen configuration file) add support to api documentation to be built during the merge of libebml.

The documentation is not complete, but this is an upstream problem :)

Diego 'Flameeyes'
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2004-09-24 14:37:15 UTC
Created attachment 40324 [details]
libebml-0.7.1.ebuild
Comment 2 Diego Elio Pettenò (RETIRED) gentoo-dev 2004-09-24 14:39:17 UTC
Created attachment 40325 [details]
0.7.1-doxygen
Comment 3 Anders Rune Jensen (RETIRED) gentoo-dev 2004-10-25 11:52:29 UTC
Why is this Doxygen file not included by default? Maybe we should let upstream  decide when the documentation is good enough to be released? It might even be wrong or outdated in some places for all I know. What does upstream say about this?
Comment 4 Diego Elio Pettenò (RETIRED) gentoo-dev 2005-03-21 01:30:22 UTC
libebml docs is spare and bad written, not worth adding it anyway :)